summaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/unix/squishInstall.sh
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2018-04-17 14:14:37 +0200
committerLiang Qi <liang.qi@qt.io>2018-04-17 14:15:23 +0200
commit4d4159f7b7edf6d9b770a2380a7c32b219873e5d (patch)
treeac8eeba8f9a463739ad7cdc6ea73b0300c754aaf /coin/provisioning/common/unix/squishInstall.sh
parent24e1a15d40c02d5cd47644d37f713182830dfb4f (diff)
parent6a06c4b4fe7fad6595252ac035fc0c05627b62c6 (diff)
Merge remote-tracking branch 'origin/5.11' into 5.11.0
Diffstat (limited to 'coin/provisioning/common/unix/squishInstall.sh')
-rwxr-xr-xcoin/provisioning/common/unix/squishInstall.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/coin/provisioning/common/unix/squishInstall.sh b/coin/provisioning/common/unix/squishInstall.sh
index 069d5afd..0ed9b0a0 100755
--- a/coin/provisioning/common/unix/squishInstall.sh
+++ b/coin/provisioning/common/unix/squishInstall.sh
@@ -51,6 +51,9 @@ fi
squishLicenseUrl="ci-files01-hki.intra.qt.io:/hdd/www/input/squish/coin/"
squishLicenseFile=".squish-3-license.tar.gz"
+testSuite="suite_test_squish"
+testSuiteUrl="ci-files01-hki.intra.qt.io:/hdd/www/input/squish/coin/"
+
# These checks can be removed when Vanilla OS for all linux and Mac are in
if [ -d "$squishFolder" ]; then
echo "Move old squish to /tmp"
@@ -140,10 +143,10 @@ echo "Set commands for environment variables in .bashrc"
if uname -a |grep -q "Ubuntu"; then
echo "export SQUISH_PATH=$squishFolder/package" >> ~/.profile
- echo "export PATH=\$PATH:$quishFolder/squish-$version/bin" >> ~/.profile
+ echo "export PATH=\$PATH:$squishFolder/squish-$version/bin" >> ~/.profile
else
echo "export SQUISH_PATH=$squishFolder/package" >> ~/.bashrc
- echo "export PATH=\$PATH:$quishFolder/squish-$version/bin" >> ~/.bashrc
+ echo "export PATH=\$PATH:$squishFolder/squish-$version/bin" >> ~/.bashrc
fi
echo "Installing squish license to home directory.."
@@ -151,3 +154,14 @@ MountAndInstall "$squishLicenseUrl" "$squishFolder" "$squishLicenseFile"
echo "Installing squish $version.."
MountAndInstall "$squishUrl" "$squishFolder" "$squishFile"
+
+echo "Installing test suite for squish"
+MountAndInstall "$testSuiteUrl" "$squishFolder" "$testSuite.tar.gz"
+
+echo "Verifying Squish Installation"
+if "$squishFolder/package/bin/squishrunner" --testsuite "$squishFolder/$testSuite" | grep "Squish test run successfully" ; then
+ echo "Squish installation tested successfully"
+else
+ echo "Squish test failed! Package wasn't installed correctly."
+ exit 1
+fi